Redmine - Defect #18586

Arabic PDF
2014-12-06 14:35 - Toshi MARUYAMA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 2.6.2

Resolution: Fixed Affected version:

Description

#16040 has pdf and csv problems.
This is for only pdf problem.

Related issues:
Related to Redmine - Defect #10681: Export to Persian PDF problem Closed

Associated revisions

Revision 13726 - 2014-12-06 14:49 - Toshi MARUYAMA
Gemfile: update rbpdf version to 1.18.3 (#16040, #18586, #10681)

Revision 13729 - 2014-12-06 14:57 - Toshi MARUYAMA
pdf: use DejaVuSans font in Arabic and Persian (#16040, #18586, #10681)

Revision 13976 - 2015-02-08 05:04 - Toshi MARUYAMA
pdf: remove styles of Arabic/Persian ltalic and Thai Bold (#10681, #18586)
Contributed by Jun NAITOH.

Revision 13977 - 2015-02-08 05:04 - Toshi MARUYAMA
pdf: remove styles by fontname instated of Arabic/Persian/Thai locale (#10681, #18586)

Revision 13982 - 2015-02-08 11:38 - Toshi MARUYAMA
Merged r13729 from trunk to 2.6-stable (#16040, #18586, #10681)

pdf: use DejaVuSans font in Arabic and Persian.

Revision 13983 - 2015-02-08 11:38 - Toshi MARUYAMA
Merged r13976 from trunk to 2.6-stable (#10681, #18586)

pdf: remove styles of Arabic/Persian Italic and Thai Bold.

Contributed by Jun NAITOH.

Revision 13984 - 2015-02-08 11:39 - Toshi MARUYAMA
Merged r13977 from trunk to 2.6-stable (#10681, #18586)

pdf: remove styles by fontname instated of Arabic/Persian/Thai locale.

History

#1 - 2014-12-06 15:26 - Toshi MARUYAMA
- Target version deleted (2.6.1)

#2 - 2014-12-31 00:19 - Jun NAITOH

I think that Arabic PDF was supported by #10681#note-15 patch.
Thanks!
https://www.redmine.org/issues/16040
https://www.redmine.org/issues/10681#note-15

#3 - 2015-01-29 05:02 - Toshi MARUYAMA
- Related to Defect #10681: Export to Persian PDF problem added

#4 - 2015-02-08 04:50 - Toshi MARUYAMA

- Target version set to 2.6.2

#5 - 2015-02-08 12:26 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in 2.6-stable r13984.
https://www.redmine.org/projects/redmine/repository/svn/revisions/13984
http://www.tcpdf.org

